Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class ConfigurationPermissionEnum

    java.lang.Object
      org.apache.commons.lang.enums.Enum
          com.pmease.quickbuild.model.ConfigurationPermissionEnum

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public final class ConfigurationPermissionEnum
extends org.apache.commons.lang.enums.Enum

Define permission enumerations. They are used to define relationships between a subject and an secured object.

Author:
  robin shine
See Also:
  Serialized Form

Field Summary
`static ConfigurationPermissionEnum` | `ADMIN`
`static ConfigurationPermissionEnum` | `BUILD`
`static ConfigurationPermissionEnum` | `VIEW`

Fields inherited from class org.apache.commons.lang.enums.Enum
`iToString`

Method Summary
`static ConfigurationPermissionEnum` | `getEnum(java.lang.String permission)`
`static java.util.List` | `getEnumList()`
`static java.util.Map` | `getEnumMap()`
`static java.util.Iterator` | `iterator()`

Methods inherited from class org.apache.commons.lang.enums.Enum
`compareTo, equals, getEnum, getEnumClass, getEnumList, getEnumMap, getName, hashCode, iterator, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VIEW

    public static final ConfigurationPermissionEnum VIEW

### BUILD

    public static final ConfigurationPermissionEnum BUILD

### ADMIN

    public static final ConfigurationPermissionEnum ADMIN

Method Detail

### getEnum

    public static ConfigurationPermissionEnum getEnum(java.lang.String permission)

### getEnumMap

    public static java.util.Map getEnumMap()

### getEnumList

    public static java.util.List getEnumList()

### iterator

    public static java.util.Iterator iterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.